## datasette 0.65.2

=== debian/changelog ===
datasette (0.65.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1120835)

 -- Mahangu Weerasinghe <mahangu@gmail.com>  Tue, 18 Nov 2025 10:15:00 +0530
