=== debian/control ===
Source: datasette
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Mahangu Weerasinghe <mahangu@gmail.com>
Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-pytest-runner,
                python3-asgiref,
                python3-click,
                python3-click-default-group,
                python3-jinja2,
                python3-hupper,
                python3-httpx,
                python3-pluggy,
                python3-uvicorn,
                python3-aiofiles,
                python3-janus,
                python3-asgi-csrf,
                python3-yaml,
                python3-mergedeep,
                python3-itsdangerous,
                python3-pip,
                python3-platformdirs,
                python3-typing-extensions,
                python3-flexcache,
                python3-flexparser
Standards-Version: 4.7.2
Homepage: https://datasette.io/
Vcs-Browser: https://salsa.debian.org/python-team/packages/datasette
Vcs-Git: https://salsa.debian.org/python-team/packages/datasette.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: datasette
Architecture: all
Depends: ${python3:Depends},
          ${misc:Depends},
          python3-asgiref,
          python3-click,
          python3-click-default-group,
          python3-jinja2,
          python3-hupper,
          python3-httpx,
          python3-pluggy,
          python3-uvicorn,
          python3-aiofiles,
          python3-janus,
          python3-asgi-csrf,
          python3-yaml,
          python3-mergedeep,
          python3-itsdangerous,
          python3-pip,
          python3-platformdirs,
          python3-typing-extensions,
          python3-flexcache,
          python3-flexparser
Description: Multi-tool for exploring and publishing data
 Datasette is a tool for exploring and publishing data. It helps people
 take data of any shape or size and publish that as an interactive,
 explorable website and accompanying API.
 .
 Datasette is aimed at data journalists, museum curators, archivists,
 local governments and anyone else who has data that they wish to share
 with the world.
