=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=datasette

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf .eggs .pybuild *.egg-info build
	dh_auto_clean
