=== debian/watch ===
Version: 5
Template: GitHub
Owner: simonw
Project: datasette
