## datasette 0.65.2+ds

=== debian/changelog ===
datasette (0.65.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1120835)

 -- Mahangu Weerasinghe <mahangu@gmail.com>  Fri, 05 Dec 2025 08:23:36 +0000
