=== debian/watch ===
Version: 5
Template: GitHub
Owner: simonw
Project: datasette
Uversion-Mangle: s/(a|alpha|b|beta|c|dev|pre|rc)/~$1/
Dversionmangle: s/\+ds//
Repacksuffix: +ds
